#include <bits/stdc++.h>
#include "partition.h"
using namespace std;
std::vector<int> solve(std::vector<int> A)
{
    int n=A.size();
    vector<int> sol;
    for(int i=0;i<n/2;i++)
        sol.push_back(i);
    sol.push_back(n-1);
    for(int i=n/2;i<n-1;i++)
        sol.push_back(n);
    return sol;
}